{author_id}: Details about an author

API: semanticscholar.org:semantic-scholar-api
Endpoint: /author/{author_id}
Response format: application/json
Auth: unknown
Method: GET
Last Status: 200
Latency: 901ms

Description

Examples: <ul> <li><code>https://api.semanticscholar.org/graph/v1/author/1741101</code></li> <ul> <li>Returns the author's authorId and name.</li> </ul> <li><code>https://api.semanticscholar.org/graph/v1/author/1741101?fields=url,papers</code></li> <ul> <li>Returns the author's authorId, url, and list of papers. </li> <li>Each paper has its paperId plus its title.</li> </ul> <li><code>https://api.semanticscholar.org/graph/v1/author/1741101?fields=url,papers.abstract,papers.authors</code></li> <ul> <li>Returns the author's authorId, url, and list of papers. </li> <li>Each paper has its paperId, abstract, and list of authors.</li> <li>In that list of authors, each author has their authorId and name.</li> </ul> <br> Limitations: <ul> <li>Can only return up to 10 MB of data at a time.</li> </ul> </ul>

Parameters (2)

author_id (string, path, required)
fields (string, query, optional)

A comma-separated list of the fields to be returned. See the contents of Response Schema below for a list of all available fields that can be returned. The <code>authorId</code> field is always returned. If the fields parameter is omitted, only the <code>authorId</code> and <code>name</code> will be returned. <p>Use a period (“.”) for subfields of <code>papers</code>.<br><br> Examples: <ul> <li><code>fields=name,affiliations,papers</code></li> <li><code>fields=url,papers.year,papers.authors</code></li> </ul>

Examples (3)

Get basic author details curl
curl 'https://api.semanticscholar.org/graph/v1/author/1741101'
import requests

resp = requests.get("https://api.semanticscholar.org/graph/v1/author/1741101")
data = resp.json()
import zingu_apis

api = zingu_apis.api("semanticscholar")
result = api.fetch("author/{author_id}")

for item in result:
    print(item)
const resp = await fetch("https://api.semanticscholar.org/graph/v1/author/1741101");
const data = await resp.json();
Get author with papers and URL curl
curl 'https://api.semanticscholar.org/graph/v1/author/1741101?fields=url%2Cpapers'
import requests

resp = requests.get(
    "https://api.semanticscholar.org/graph/v1/author/1741101",
    params={
        'fields': 'url,papers',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("semanticscholar")
result = api.fetch("author/{author_id}", fields="url,papers")

for item in result:
    print(item)
const resp = await fetch("https://api.semanticscholar.org/graph/v1/author/1741101?fields=url%2Cpapers");
const data = await resp.json();
Get author with comprehensive fields curl
curl 'https://api.semanticscholar.org/graph/v1/author/1741101?fields=name%2Curl%2Cpapers%2CpaperCount%2CcitationCount%2ChIndex'
import requests

resp = requests.get(
    "https://api.semanticscholar.org/graph/v1/author/1741101",
    params={
        'fields': 'name,url,papers,paperCount,citationCount,hIndex',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("semanticscholar")
result = api.fetch("author/{author_id}", fields="name,url,papers,paperCount,citationCount,hIndex")

for item in result:
    print(item)
const resp = await fetch("https://api.semanticscholar.org/graph/v1/author/1741101?fields=name%2Curl%2Cpapers%2CpaperCount%2CcitationCount%2ChIndex");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:49:40.431553 200 901ms
2026-04-16 03:19:51.837734 200 328ms
2026-04-16 00:58:14.591830 200 518ms
2026-04-15 03:42:22.749507 200 492ms
2026-04-15 01:23:21.159966 200 784ms
2026-04-15 00:31:26.238041 200 492ms
2026-04-14 03:44:07.972601 200 655ms
2026-04-14 02:29:43.079929 200 340ms
2026-04-14 00:30:45.443538 200 523ms
2026-04-12 16:06:47.032303 200 617ms
2026-04-12 15:44:57.663743 200 606ms
2026-04-12 13:57:06.215439 200 1042ms
2026-04-10 06:44:38.612979 200 554ms
2026-04-10 04:21:19.284247 200 418ms
2026-04-10 00:53:12.549454 200 1730ms
2026-04-09 02:28:29.291419 200 318ms
2026-04-09 02:24:48.080697 200 506ms
2026-04-09 01:06:56.539134 200 492ms
2026-03-23 10:29:30.929476 200 261ms
2026-03-23 10:26:17.882702 200 793ms
2026-03-23 09:25:22.858876 200 540ms